Qlik Community

Qlik NPrinting Discussions

Discussion Board for collaboration on Qlik NPrinting.

cancel
Showing results for 
Search instead for 
Did you mean: 
dhavalp7
Contributor II
Contributor II

Qlikview Nprinting 16.2 migration to 19+

We are currently using Nprinting Designer & Server 16.2. On the same machine (App server), we have Qlikview & Qlikview Server with version 11.20 SR 8 installed. The configuration has perfectly worked fine for the last 4 years. As Nprinting 16.2 is not compatible with TLS 1.2 we would have to upgrade to a higher version of Nprinting. In order to upgrade to Nprinting 19+,

  1. Is it compulsory to upgrade the Qlikview & Qlikview Server to 12.60?
  2. Also, we have a Qlikview Web server VM, If we upgrade the Qlikview Server on App server VM, should we have to upgrade the Qlikview & Qlikview server on Web VM as well?
Labels (2)
1 Solution

Accepted Solutions
Lech_Miszkiewicz

Yes, correct - you will need to upgrade QlikView to whatever version is listed on help page as supported. 
Other versions may work, bit from my experience there are always issues with unsupported configurations. 

in your situation i would go for the latest possible versions so you would get most up to date versions which will be supported for next few years. 

cheers

cheers Lech, When applicable please mark the correct/appropriate replies as "solution" (you can mark up to 3 "solutions". Please LIKE threads if the provided solution is helpful to the problem.

View solution in original post

5 Replies
Lech_Miszkiewicz

Hi, 

NPrinting 16X is not supported anymore. Migration (not upgrade!!!) is possible only from NPrinting 16.3.

Whole process is complex and needs to be properly planned. You need to be aware of required setup (dedicated servers, supported configurations etc..) Also you would have to inspect all reports you have to check if they will be compatible after migration. I am not understanding fully your questions in regards to migration to new nprinting. Requirements are listed in links below (also regarding supported QlikView versions)

Whole migration process is complex and should be done by experienced NPrinting developer as there are many things which you have to consider and plan ahead.

All requirements are available on https://help.qlik.com so i suggest to study that. It is a lot to go through.

There are many differences between NPrinting 16 and 17+ (Currently may 2021 SR3). Effectively those are 2 different products. If you thought you could just run installers to upgrade to newer version this is not possible. 

I guess there is no point discussing more at the moment as I think you may need to go through documentation and plan what you want to do first. 

cheers

Lech

cheers Lech, When applicable please mark the correct/appropriate replies as "solution" (you can mark up to 3 "solutions". Please LIKE threads if the provided solution is helpful to the problem.
dhavalp7
Contributor II
Contributor II
Author

Thank you for the response @Lech_Miszkiewicz 

I was referring to the same articles as you mention. 

As migration is not possible from 16.2 to 19+ we would have to create all the Nprinting reports from scratch in the newer version. I'm aware that the migration tool is available only from the 16.3 version only. 

I have doubts related to the Qlikview upgrade. For instance, let say we upgraded the Nprinting designer & Engine to 19+, do we need to upgrade the Qlikview & Qlikview Server as well? As per Qlik Nprinting Engine System Requirement  Supported Qlikview versions are 

  • QlikView May 2021 (12.60) or higher
  • QlikView April 2020 SR2 (12.50 SR2) or later
  • QlikView April 2019 (12.40) or higher

Currently, we're using Qlikview 11.20 SR8. So do we need to upgrade the Qlikview & Qlikview Server as well?

Thanks in advance 🙂

Lech_Miszkiewicz

Yes, correct - you will need to upgrade QlikView to whatever version is listed on help page as supported. 
Other versions may work, bit from my experience there are always issues with unsupported configurations. 

in your situation i would go for the latest possible versions so you would get most up to date versions which will be supported for next few years. 

cheers

cheers Lech, When applicable please mark the correct/appropriate replies as "solution" (you can mark up to 3 "solutions". Please LIKE threads if the provided solution is helpful to the problem.
dhavalp7
Contributor II
Contributor II
Author

Thanks, @Lech_Miszkiewicz  I also think so.

 

Lech_Miszkiewicz

By the way. 
you may consider upgrading to Nprinting 16.3 at least or latest possible Nprinting 16 version so you could utilise migration tool if you think it could be possible

cheers Lech, When applicable please mark the correct/appropriate replies as "solution" (you can mark up to 3 "solutions". Please LIKE threads if the provided solution is helpful to the problem.